Page MenuHomePhabricator

Vector: Collapsible tabs first start from the wrong side in RTL
Closed, ResolvedPublic

Description

Say if the tabs are [A][B] [X][Y][Z].

In LTR, it first hides Z, then Y and then X. In RTL it first hides X, Y and then Z.

If you look at the tab order in RTL, which is [Z][Y][X] [B][A], it doesn't make any sense.


Version: unspecified
Severity: major
URL: http://translatewiki.net/wiki/Special:Translate/core?uselang=ar

Details

Reference
bz34587

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:17 AM
bzimport added projects: Vector, I18n.
bzimport set Reference to bz34587.
bzimport added a subscriber: Unknown Object (MLST).

This is because for some reason Vector flips the order of the tabs in HTML, and the uses @noflip to make them float to the left even in RTL environments. This is stupid, and jquery.collapsibleTabs is getting rightfully confused.

However, fixing this properly would require simultaneous incompatible changes to HTML and CSS, which is known to cause disruption if not done right (bug 42452), and doing it right means keeping the old styles basically forever and adding some class to new HTML, which sucks.

Feel free to do that, because I'd rather not. ;)

This is not a "Major loss of function in an important area" as it's still totally functionable; changing severity back to normal.

Hiding the most important features before the less important ones is definitely a major loss in functionality.

Is this fixed? On the Hebrew Wikipedia it looks like the outermost tab is the first to be hidden.

No idea. I am sure that no one has worked on it and consciously fixed it since I last commented. (I watch all incoming patches in these areas.)

Ebraminio moved this task from Backlog to Graphics on the RTL board.Aug 9 2015, 11:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2015, 11:52 AM
Meno25 removed a subscriber: Meno25.Feb 8 2016, 7:41 PM
Isarra moved this task from Backlog to Bugs on the Vector board.Apr 7 2016, 1:10 AM
Krinkle removed a subscriber: Krinkle.Apr 7 2016, 11:44 PM
matmarex closed this task as Resolved.Oct 3 2017, 5:07 PM

The underlying issue T48947: Vector: Horizontal nav elements should be flipped with CSS instead of in HTML has been fixed, so this is also resolved now!